Timelog filtering by activity field does not handle project activity overrides

2013-12-08 12:44 - VD DV

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 2.4.2   

Resolution: Fixed Affected version: 2.4.1

Description

While filtering timelogs on all projects, it seems that filtering does not work as expected.

In provided screenshot you can see that filtering on Activity field  by excluding values, generates result that also includes excluded

values. Also you can see multiple occurance in result list for activity named "Softver: PING - ELBA".

Please note that in screenshot "Activity" field is labeled as "Activity on" (it is our localization implemented through

apps\redmine\htdocs\config\locales files).

Environment is:

Redmine version                2.4.1.stable

Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.4

Git                            1.8.3

Filesystem

Redmine plugins:

no plugin installed

Associated revisions

Revision 12414 - 2013-12-15 10:49 - Jean-Philippe Lang

Fixed that filtering time entries on activity does not take care of activity overrides (#15623).

Revision 12431 - 2013-12-21 12:23 - Jean-Philippe Lang

Merged r12414 (#15623).

History

#1 - 2013-12-08 12:54 - Toshi MARUYAMA

- Category changed from Activity view to Time tracking

#2 - 2013-12-10 16:34 - VD DV

- File enumerations.txt added

It might be helpful for developers to know what is content of enumerations table.

Result of following query is attached as enumerations.txt:

select * from enumerations where type='TimeEntryActivity';

#3 - 2013-12-15 10:51 - Jean-Philippe Lang

- Subject changed from Tmelog filtering by activity field is broken to Timelog filtering by activity field is broken

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.2

- Resolution set to Fixed
Fixed in r12414, filter was not handling activity overrides at project level.

Thanks for pointing this out.

#4 - 2013-12-15 10:51 - Jean-Philippe Lang

- Subject changed from Timelog filtering by activity field is broken to Timelog filtering by activity field does not handle project activity overrides

#5 - 2013-12-21 12:24 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

Activity filtering.jpg 80.8 KB 2013-12-08 VD DV

enumerations.txt 7.74 KB 2013-12-10 VD DV
